#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    
    int n, l, h;
    cin >> n >> l;
    for (int i = 0; i < n; i++){
        cin >> h;
        if (h <= l){
            cout << i+1;
            exit(0);
        }
    }
    cout << -1;
    return 0;
}